package Generics;

import java.util.ArrayList;

public class BlackBox<E> {

	private String name;
	private ArrayList<E> meineListe;
	
	public BlackBox(String name){
		this.name=name;
		this.meineListe=new ArrayList<>();
	}
	
	public void add(E element){
		this.meineListe.add(element);
	}
	
	public void remove(E element){
		this.meineListe.remove(element);
	}
	
	public void clear(){
		this.meineListe.clear();
	}
	
	public E getElementAtPosition(int i){
		return this.meineListe.get(i);
	}
	
	public void printNamesOfElements(){
		
		for(E element : meineListe){
			System.out.println(element.toString());
		}
	}
}
